module Exam.Exercise1.Syntax where

open import Data.String using (String)

Id : Set
Id = String

data Term : Set where
  `_                   : Id → Term
  ƛ_⇒_                 : Id → Term → Term
  _·_                  : Term → Term → Term
  `zero                : Term
  `suc_                : Term → Term
  case_[zero⇒_|suc_⇒_] : Term → Term → Id → Term → Term
  μ_⇒_                 : Id → Term → Term

infix  5  ƛ_⇒_  μ_⇒_
infixl 7  _·_
infix  8  `suc_
infix  9  `_

variable
  x y : Id
  L M N L′ M′ N′ : Term
